commit d677f39cf13e6bb4f72c3e24b1b67c77d4a67247
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Dec 19 13:12:37 2015 +0200

    Release 2.2.0

commit 240ec690689ec80aef043c4f3791b46a24327ab7
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Dec 19 13:06:20 2015 +0200

    Sharpen ES6 disclaimer: I do not have time for it

commit 059cdb3780f43d9467274f53d2a8e987f6ba67b8
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Dec 19 13:05:33 2015 +0200

    Add contributor for #13

commit f06463424f42a8384280ed2c3b3785ee646b9ae0
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Dec 19 12:55:56 2015 +0200

    Bump version

commit 0ad4701294de0cf0075a5e4a0f73048da87f80c9
Merge: c343bef 439d7e4
Author: Tikitu de Jager <tikitu+github@logophile.org>
Date:   Sat Dec 19 12:54:30 2015 +0200

    Merge pull request #13 from moggers87/preserve-copyright
    
    Preserve copyright notices

commit 439d7e419364171293bba9ac5ef333287b127244
Author: Matt Molyneaux <moggers87+git@moggers87.co.uk>
Date:   Fri Dec 18 11:41:51 2015 +0000

    Update copyright test
    
    Copyright statements aren't always at the beginning of a file.

commit e49ac82ef2bda9f18fb592586a97c74944ad8151
Author: Matt Molyneaux <moggers87+git@moggers87.co.uk>
Date:   Wed Dec 16 11:34:06 2015 +0000

    Preserve "loud" comments
    
    These comments contain copyright notices that should be preserved

commit 1bcb4e8f691c375a7634f5209103f1673da4882c
Author: Matt Molyneaux <moggers87+git@moggers87.co.uk>
Date:   Tue Dec 15 12:20:21 2015 +0000

    Test for copyright comment

commit c343bef149ade2b9d9d34e79b46443e07f6e85d9
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Oct 14 22:25:34 2015 +0300

    Release 2.1.6
    
    Fixes #12

commit 0ba768f0baa35e4b7c81e9cf7e91b435dc2da975
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Oct 14 22:13:08 2015 +0300

    Preserve newline if it follows a regex literal

commit a20c4678b18ec2e470b3150fdd9972c0b29f3580
Merge: 1878bfd c8da1de
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Oct 14 22:00:48 2015 +0300

    Merge failing tests from branch 'latest-release'

commit c8da1de314878aae2f702082fe236bce9b998056
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Oct 14 21:59:36 2015 +0300

    Failing test for #12

commit 1878bfd6d8c5bb0e6e7c3719f74c6b4e0af77c06
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Oct 11 15:44:21 2015 +0300

    Bump version

commit 40a277c4f5ce29a29f0d7bde91d2ca06308f16d2
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Oct 11 15:33:48 2015 +0300

    Release 2.1.5
    
    Fixes #9
    Fixes #10

commit 5911dc053e78d2c0f8bce17b8f9c6d2d9e07286f
Merge: 0962da4 430701a
Author: Tikitu de Jager <tikitu+github@logophile.org>
Date:   Sun Oct 11 15:25:26 2015 +0300

    Merge pull request #11 from tikitu/issues_9_10
    
    Issues 9 & 10

commit 430701ae8d4a971a4bc67be1834960c6b39cc1c3
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:46:33 2015 +0300

    Tests contributed by @soulseekah

commit e1bb90a01e79937546c732dc5ee75d40c34ea8ff
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:38:07 2015 +0300

    Test did not include a newline that it should have

commit 3bd6ceac0c4d3e6a9a342839915d9d523f60dd9f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:37:49 2015 +0300

    Remember what we were doing before start on a block comment

commit 16979dd9f126bf78f737cc78620dee4b65e43438
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:35:05 2015 +0300

    Only produce space if we didn't produce a newline

commit 8fa0af462beebba194e03f933bf4b780beb3b294
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:21:18 2015 +0300

    Extract multiline comment handling

commit 33ff7a53b6866a33d8874f3f5c22e21e0c6d0758
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Sep 13 00:00:02 2015 +0300

    Extract single-comment handling

commit b049bea7f66692f0352fc4a034a7fe02042afc98
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 23:46:54 2015 +0300

    Extract newline handling into method

commit c162babff1ec7e31571a820922c364fbb285fe15
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 23:44:39 2015 +0300

    Simplify loop removing special-case for entering

commit 624d979f2e5ce757982b0c526ccc1214409052a4
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 20:14:58 2015 +0300

    Simplify loop removing special-casing for last time through
    
    Test is for the edge case the special-casing appears to be for.

commit d24d5673178f5ada06a4e7dae331728f98994a3a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 16:04:58 2015 +0300

    Failing test for #10

commit 53317e3915e7c3f08b6bcf520d51b7df4c4c606a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 15:55:07 2015 +0300

    Failing test for issue #9

commit a94975625fa5290582efa0bf6693d8a184d198b7
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Sep 12 23:37:54 2015 +0300

    bump version

commit 0962da424ed8692b9c1d5fe6db1ed1f8ac4ecf6f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 23 00:15:57 2015 +0300

    Remove warning that probably is no longer necessary

commit 7c29ea6ffebedf21c081339e241f9a05f0cf6b3e
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 23 00:07:53 2015 +0300

    Release 2.1.4
    
    Closes #6

commit e246019e7d637ea4fb7f4ef749709786d82c5239
Merge: 027ab5d 56dd772
Author: Tikitu de Jager <tikitu+github@logophile.org>
Date:   Sun Aug 23 00:04:23 2015 +0300

    Merge pull request #8 from tikitu/regex-refactor
    
    Refactor regex literal handling into a tighter loop

commit 56dd7724394af1bfc8b7855e542a7ec113020036
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:58:16 2015 +0300

    Refactor regex literal handling into a tighter loop
    
    This lets us better take into account the regex escaping rules (e.g.
    subtle stuff like "a / occurring inside a [] character class doesn't
    end the regex literal").

commit 027ab5d8a20a34825f83631eef01bb1ea5dbace6
Merge: f6328b9 97c071b
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:59:24 2015 +0300

    Merge branch 'latest-release'

commit 97c071bbc1d48eb9e7785c53c735b0dc842d6e82
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:36:56 2015 +0300

    Add failing test for issue #6

commit 65e85cfe31a61cc6a297e2ed0ab0b680041fb28a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:36:28 2015 +0300

    Rename tests using bitbucket issues (issue counting started again)

commit 9703f42c3b70043163f900f1500974875c9539f1
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:36:02 2015 +0300

    Test output: show differences on adjacent lines for easier scanning

commit c108925197572ff5d0fd51904914cfda5417ab8f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Aug 22 16:34:12 2015 +0300

    Add standard python-installation ignores

commit f6328b96c64f0721104436288853e28c7a9b0b39
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 19:29:12 2015 +0300

    Update readme after changing the default branch on github

commit 05866f3cf7fb23b6626250c110cc466ba573ddec
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 19:16:39 2015 +0300

    Update readme to describe more git-sane branch structure

commit 2d83b1e95961c13f9c4ab806d66720da4622cf51
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 19:12:51 2015 +0300

    Fix a ReST error

commit 086f1513e5da9932fc4b5a57940c7ab044117827
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 18:56:53 2015 +0300

    Release 2.1.3.
    
    Fixes #1.

commit a6a6531a45106653ddd210b0f273353e607469c1
Merge: e786314 a6d961c
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 18:37:46 2015 +0300

    Merge fix for issue #1

commit e786314061d840b55f29eadf5eabd9e545e34bcc
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Aug 9 18:36:13 2015 +0300

    Add contributer soulseekah

commit 5d83ded0d8d9ddc86bbb2197d8f505db6169d12d
Merge: 3829cd5 24d3326
Author: Tikitu de Jager <tikitu+github@logophile.org>
Date:   Sun Aug 9 17:34:38 2015 +0300

    Merge pull request #2 from soulseekah/ignore-2
    
    Added build and pycache, pyc ignores.

commit 3829cd53476e1075bbb3cc76e5cf4f09b9f23c5d
Merge: 2dcfcf8 6f374fe
Author: Tikitu de Jager <tikitu+github@logophile.org>
Date:   Sun Aug 9 17:33:54 2015 +0300

    Merge pull request #4 from soulseekah/regex-1-test
    
    Tests for Regex issues (issue #1)

commit a6d961c3f526362573f4dbb0729617f2ee7888f8
Author: Gennady Kovshenin <gennady@kovshenin.com>
Date:   Wed Aug 5 01:49:39 2015 +0500

    {/.. is not considered to be in_re
    
    See issue #1, but basically since `{\` does not trigger `in_re`, a `\\`
    chain inside the regular expression literal will be interpreted as a
    one line comment and removed completely (test case `{/\//}` which
    results in a minified syntax error due to mismatched bracket when it's
    turned into `{/\` (single line comment removed).
    
    Not sure if this breaks anything but all tests pass.

commit 6f374feba1c16c4adf43547708390671599ffbcc
Author: Gennady Kovshenin <gennady@kovshenin.com>
Date:   Wed Aug 5 00:48:29 2015 +0500

    Tests for Regex issues (issue #1)
    
    Regular expression literals with escaped forward slashes enclosed in
    curly braces are failing miserably.

commit 24d332673181c0deffa2f0652e53eddf37512532
Author: Gennady Kovshenin <gennady@kovshenin.com>
Date:   Wed Aug 5 00:39:01 2015 +0500

    Added build and pycache, pyc ignores.
    
    When running under Python3 we have __pycache__ garbage lying around.
    pyc from Python2 are also left lying around.
    A build/ directory after setup.py is also looking to be tracked.

commit 2dcfcf863d37001b5d48382a61abef7512d7c3cd
Merge: a7305ad ab1787f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 20:10:04 2015 +0300

    Merge branch 'master' into ghstable

commit ab1787f1f57f01643dc710d9e8663c041bc2808a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 20:09:35 2015 +0300

    Updated readme for switch to github (my git/hg integration broke and I have no patience for fixing it).

commit a7305ad33033ba06d34bdd3023f149a5bf9b83b7
Merge: 4edde29 15bc63f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 19:51:49 2015 +0300

    Merge released version 2.1.2 into ghstable

commit 15bc63fe10f5458f95d2d1e85d0d0eecf0638fdb
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 19:50:25 2015 +0300

    ignore

commit a9c976dd49cc79f8e4fd07c3e781793cf2977304
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 19:37:51 2015 +0300

    Prepare release

commit e0d0f9adbc8628e1fd67c0eb8a6bd396ecc71b4f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 19:41:10 2015 +0300

    Fixes #17 (+1 squashed commit)
    Squashed commits:
    [6a6b2bd] Tests needed an update too.

commit b5891ab95ff3ca8a8f0686472b15a21adbef36fb
Merge: b3fd708 4edde29
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 19:32:28 2015 +0300

    Merge failing test from stable

commit 4edde2944e781feab530ca2544c42f50aa1977fb
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jul 12 18:53:41 2015 +0300

    Failing test for issue #17

commit fb1799e58cb69988700fce4cac34b7ce2785c395
Merge: 5ec7a57 b3fd708
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Feb 14 19:55:47 2015 +0200

    Merge released version 2.1.1 into stable branch. Closes issue #16.
    
    --HG--
    branch : stable

commit b3fd708432a7065f7d19dca4d0609bd889334ca4
Merge: 6aaf318 6e4a2b7
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Feb 14 16:49:54 2015 +0200

    Merge fix for #16; changelog and bump version for release.

commit 6e4a2b71eb6038264b670099c3a2bf8f74f7d240
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Feb 14 16:40:22 2015 +0200

    Fixes #16
    
    --HG--
    branch : issue-16

commit 599624df928f8b98899ff4d6b5329fbf79736dcb
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sat Feb 14 16:40:01 2015 +0200

    Test for issue #16
    
    --HG--
    branch : issue-16

commit 6aaf31818196cc8e70c445240ef6b98f325bee96
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Dec 24 15:55:32 2014 +0200

    Fix changelog format to valid .rst, so pypi page looks good.

commit 5ec7a57e8f224b4dcc014465ebae4171869f5c1d
Merge: 5e0af23 ccc4ffd
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Dec 24 15:47:58 2014 +0200

    Merge released version 2.1.0 into stable branch. Closes issue #14.
    
    --HG--
    branch : stable

commit ccc4ffd6f233e031614cde53524f62917596ea9c
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Wed Dec 24 15:43:14 2014 +0200

    Update docs; add changelog; bump version for release.

commit 37717d13ac2266b91d823857f0c862095ad8513d
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Thu Nov 6 20:03:31 2014 +0100

    Another contributor :-)

commit 4a6e221d47dcfd39a5a5f8aa1d9f7d2cd942bf5e
Merge: de28d60 2f9e286
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Thu Nov 6 19:48:28 2014 +0100

    Merge

commit de28d60702495fe2a4bcefcb35b9bac4ad5b4693
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Thu Nov 6 19:48:08 2014 +0100

    Expose quote-chars as configuration option: not fully supporting/tracking Harmony, but this should be a enough for the moment.

commit 2f9e286aa58b205688dce1b02e72b0be2efea4da
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Thu Nov 6 19:36:36 2014 +0100

    Rename test. However did that happen?!

commit 81babc49e0624529e6fc2a7c9816fbe8fbf18691
Author: Nick Alexander <nalexander@mozilla.com>
Date:   Mon Oct 27 14:13:12 2014 -0700

    Fix for issue #14: handle ECMAScript/Harmony backticks.

commit 5e0af23495c15b1b60f1204436d9df0bca217524
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:35:04 2014 +0200

    Added tag release-2.0.11 for changeset 4e64a7c1e036
    
    --HG--
    branch : stable

commit 5eaf0c9536a49c945a54f47d2835d7bdc08a55f2
Merge: 2a8be4b 11e8c3b
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:34:43 2014 +0200

    Merge released version 2.0.11 into stable branch. Closes issue #12.
    
    --HG--
    branch : stable

commit 11e8c3b5ae376e159436b5c475b2be81dc51a211
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:28:47 2014 +0200

    Use assertion method that 2.6 has.

commit 7dcec30b48a53d93e724fff0cea24d9e473f905a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:25:41 2014 +0200

    Bump version for release.

commit 4bbdc455aaccbe58f16073a899a2e3a49ab2dfbc
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:21:44 2014 +0200

    Fix failing tests for issue #12.

commit 35c841e3fc2589d32f90e9709e400fb9e55d5963
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Mon Jun 23 00:21:29 2014 +0200

    More tests from issue #12.

commit adc5cdc64d71c54c2cee0d0c2c16c9936b6ae037
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 23:38:27 2014 +0200

    Another, simpler test for issue #12.

commit d6f53952eadd8ffc763e507b8fb702c249120374
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 23:17:05 2014 +0200

    ignore js_tests dir, where I'm running angular's test suite on minified version

commit a3fb183dc6facd574fc49e0b5b36e404578ffcf5
Merge: c730ef7 2a8be4b
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 23:16:05 2014 +0200

    Merge failing test from stable

commit 2a8be4bdbec5f37c1eb34be7cf346640b8d1dcbd
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 23:13:16 2014 +0200

    Failing test from issue #12
    
    --HG--
    branch : stable

commit 52970ae5e62aeda63e21bcd79169a654b2e73b04
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:15:57 2014 +0200

    Added tag release-2.0.10 for changeset 39e5030a91de
    
    --HG--
    branch : stable

commit 0ace4ccd27e18444f755a842559a3de99e5f1035
Merge: cc05a70 c730ef7
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:15:40 2014 +0200

    Merge released version 2.0.10 into stable branch
    
    --HG--
    branch : stable

commit c730ef7178dfce217d4fccad8cf92c080561316f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:13:09 2014 +0200

    Bump version for release

commit 3a31ff2db0554f1fbf62786f2620199e122b413c
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:08:56 2014 +0200

    Simpler test for issue #11

commit 3927a670c213fa8f5b32623e64267056ed06d3f6
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:05:50 2014 +0200

    Fix for issue #11

commit 40604899b7be423700e9d28247ec2aa583f5a39a
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 15:05:35 2014 +0200

    Testing issue #11 also when the regex is not at the start of the script.

commit ac12b5860645c78742749eff902e578db60e1685
Merge: dcf4fa7 cc05a70
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 14:39:42 2014 +0200

    Merge failing test from stable

commit cc05a70f9f13f6fff7e56b4dc8c6c6b47f0889c4
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Sun Jun 22 14:35:22 2014 +0200

    Failing test for issue #11
    
    --HG--
    branch : stable

commit d2ab679aa096b4a0c2db695a5065184a5a0f17d8
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:57:10 2014 +1300

    Added tag release-2.0.9 for changeset 6f478019608c
    
    --HG--
    branch : stable

commit 8e665e09f28c4f21e5cc1a1af7333b4c37e63b51
Merge: a612538 dcf4fa7
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:56:46 2014 +1300

    Merge released version 2.0.9 from default
    
    --HG--
    branch : stable

commit dcf4fa7a67a96f67de8c8de274167c59349849d3
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:49:55 2014 +1300

    Bump version for release.

commit 406ed23837b0c7cd9c164030d36923fdca934f37
Merge: a61d367 a612538
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:47:49 2014 +1300

    Merge from stable for test

commit a61d367ae2007b8c12a65683d97041ec4d084c7e
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:43:53 2014 +1300

    Tentative fix for issue #10.

commit a612538bde9d3f212fa616a821a3aebab1c78554
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:42:46 2014 +1300

    Fixed test for issue #10.
    
    --HG--
    branch : stable

commit 12b301b0b0d333809a73c681b10f3420b0a31b5f
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 23:06:49 2014 +1300

    Failing test for issue #10
    
    --HG--
    branch : stable

commit e6d2d270b82adaebd73054217b06067ed5807632
Author: Tikitu de Jager <tikitu@logophile.org>
Date:   Fri Jan 31 22:56:06 2014 +1300

    Removed duplicated tests.
    
    --HG--
    branch : stable

commit 38cd4af296b3bed36e1b98f4404ba70ea6c62437
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sat Nov 9 00:29:18 2013 +0200

    Added tag release-2.0.8 for changeset 13c9fde88ad8

commit b7d38ac5ee707fd7f9e9cf08bb8cf7a796c36465
Merge: af273cf f9f5d01
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sat Nov 9 00:16:23 2013 +0200

    Merge released version from default
    
    --HG--
    branch : stable

commit f9f5d010cd065122115db5769a6e9521c5804ddd
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sat Nov 9 00:14:46 2013 +0200

    Turns out pypi *does* support code:: directive.

commit 258a5a96dc133da2d19f716af04f43a185e8a859
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sat Nov 9 00:10:42 2013 +0200

    Moved README so bitbucket realises it's ReST
    
    --HG--
    rename : README.txt => README.rst

commit 1610265bd9227f8c3efeff8ef98f22c3f458bf1b
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sat Nov 9 00:09:27 2013 +0200

    More attempts to fix broken ReST

commit 93ee57676fc8900b55efa329fa8210844cc537ef
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:58:30 2013 +0200

    Fix non-standard reStructuredText that breaks bitbucket and pypi renderer :-(

commit 5cead0be879ad244eec035644d8615e71de47f43
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:50:35 2013 +0200

    Added note pointing to the Travis test page in readme.

commit 55cd22ed037da418c4c6cd9cdc2f3ca25fab2cd3
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:44:43 2013 +0200

    Bump version for release.

commit 40eb6ed01a9d27b5de74b68d230f5166cccc7b04
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:43:18 2013 +0200

    Fix behaviour when file ends in a string with no final newline.

commit 096e2ec3b24f6740dacb7569582d4f044058fcf3
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:34:50 2013 +0200

    Test for file ending in a string with no final newline.

commit 1e7851b5281574994dd6774e12fd0d85a1a4ae6e
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:34:23 2013 +0200

    Protect against sequences of -/+ tokens, e.g. "a - -b" or "a + ++b". Solves issue #9.

commit fa3decb4852ff474a04418699e7b9f0a7d96584b
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Nov 8 23:04:46 2013 +0200

    Tiny documentation improvements (most importantly: a usage example).

commit 0731d3dddb4979234af431951d22d68fb7e24211
Merge: dad0b30 af273cf
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Tue Nov 5 02:02:02 2013 +0200

    Merge from stable for failing test

commit af273cf1dad81fe2f6d9b92257307c456e6f1b27
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Tue Nov 5 01:58:55 2013 +0200

    Failing test for plus/space handling. Issue #9
    
    --HG--
    branch : stable

commit dad0b305292d5c08e2cd265b49edf18bca8bcfba
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Tue Nov 5 01:54:32 2013 +0200

    Update readme for travis build-status locations.

commit 05535ca2f740a19b0f8ab9fff90ff79133ace2e6
Merge: 21d2264 08ff2a9
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Tue Nov 5 01:47:08 2013 +0200

    Merge from default
    
    --HG--
    branch : stable

commit 08ff2a9bfc51b065d6b3fd5d5208c185ba3799a9
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Mon Nov 4 22:49:00 2013 +0200

    Adding travis-ci integration (via github mirror).

commit f4f20fd29c0d0fa0b8f6ab41dfd63ee89ea5f1be
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 21:39:32 2013 +0200

    Haha, I can do this all night. Another (rather important) contributor who we can find online. Of course.

commit 4f7ba678e302cc9f245bf6864e77695708300c36
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 21:21:41 2013 +0200

    Added tag release-2.0.7 for changeset f02a6b63d038

commit 497de5b8deafa8b3692a0e05994d39ffc8efc017
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 21:12:00 2013 +0200

    Info about contributing and clearer (I hope) explanation of build status.

commit d16bd6afe4c75d25db64497087b91d2faf502f6d
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 20:58:07 2013 +0200

    One more contributor update, because yes, we *do* have that info.

commit a92c69892e9367e8aae03957338aa9c84b4b62fe
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 20:55:10 2013 +0200

    Who has two thumbs and forgot to update the contributor's list?

commit 21d226481430921a0311003755c8ccee58c931b6
Merge: 8aedb57 cc33d45
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 20:50:25 2013 +0200

    Merge released version from default
    
    --HG--
    branch : stable

commit cc33d4562b273fd5be3c8462e7ad46e945bb933e
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 20:47:42 2013 +0200

    Bump version for release.

commit ad23a10be95b1e32fd34490750824bfc34f65ccd
Merge: f092987 1bb1261
Author: Tikitu de Jager <tikitu+jsmin@logophile.org>
Date:   Sun Oct 27 20:38:54 2013 +0200

    merge PR from @tannern

commit f092987b1f97d0e93f6fae8b8298c69b7131ba79
Merge: b4c8b53 8aedb57
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 20:22:34 2013 +0200

    Merge tests from stable

commit 8aedb57efd1b8732a2f211ecc4ecb658a0cf0669
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 20:21:15 2013 +0200

    Add tests contributed by @rennat
    
    --HG--
    branch : stable

commit b4c8b53e3c0e3738c7b4462eb8a4429717fbee62
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 20:10:15 2013 +0200

    Added build status badges to README

commit 537eba09bdbcaa081e0df7aa0374ba0c7d0f63cb
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 19:14:12 2013 +0200

    Packaging setup and added myself as maintainer.
    
    --HG--
    rename : LICENSE => LICENSE.txt

commit 9e53d79542f68efefba2c55165e13f402d8ca7e8
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 18:50:16 2013 +0200

    added virtualenv ignores

commit f8edd5948538d6da8dca8a658b90182e94203719
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Sun Oct 27 18:20:52 2013 +0200

    Created branch "stable" for releases.
    
    --HG--
    branch : stable

commit 1bb1261386c203d002da016ef98b781f83e54cfe
Author: tannern@gmail.com <tannern@gmail.com>
Date:   Fri Oct 18 17:49:02 2013 -0500

    Add more test cases for multiline comments and make them work.

commit e51b356f2e995aa089f48e67f245dce45e57cc86
Author: tannern@gmail.com <tannern@gmail.com>
Date:   Fri Oct 18 16:10:53 2013 -0500

    Add fix and test for comment exception case.

commit ddb48af51cf436014e93b9bd9cc8038c504abdc8
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Sat Oct 12 11:29:19 2013 -0400

    fix for #8 again

commit f1a961150673d76dda1ef50067d31cefc59436e3
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Thu Oct 10 21:37:54 2013 -0400

    bumped version

commit bb286cc5e1ab67bbd4e08372a93c06527b7a7b22
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Thu Oct 10 21:36:04 2013 -0400

    fixed #8, which was introduced when trying to support literal regular expressions

commit 8af4c46c9963b9d1e5f45ac723b3b53d741843d8
Merge: 9c99460 1dd5169
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Thu Oct 10 21:18:54 2013 -0400

    Merged in tikitu/jsmin (pull request #5)
    
    Added test for comment-related bug generating invalid code

commit 9c99460348deb7d8f49a9bd441d7119301982f66
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Sat Oct 5 15:19:43 2013 -0400

    added mit license

commit 1dd51693930f1698f92267528c9b7a8e3e992424
Author: Tikitu de Jager <tikitu@buzzcapture.com>
Date:   Fri Oct 4 13:41:00 2013 +0300

    added test for comment-related bug generating invalid code

commit 4c2c0cd05a6f334a364b70cc52436dc960fbb007
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed Sep 4 23:42:17 2013 -0400

    python -m jsmin

commit e25dbfb1f96fb3f3863e41930d173d9f7fb2fdcb
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed Sep 4 23:33:25 2013 -0400

    fixes for regex literal handling #4

commit 9f812c47bb25ecc361476b6fa4db4bfa64713e6d
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed May 22 11:14:22 2013 -0400

    update metadata

commit a0c861643916f6df6f283e043ea940f6e1cd61e7
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed May 22 10:55:55 2013 -0400

    more specific classifier

commit bb3c979bbd3307f44864418e996a00b5e9f7b5cf
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed May 22 10:52:39 2013 -0400

    update url

commit 1486d67d4b29ecaff98f990af3c569dfb8f6ccb3
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed May 22 10:51:09 2013 -0400

    bump version and clarify license

commit 181628ebdb4e9d98490776a37197e2e99b88d7a6
Author: hansweltar <none@none>
Date:   Mon May 13 17:23:51 2013 +0200

    Fix for #2, #3: single line comments broken
    
    Fixes issue 2 and issue 3
    Currently the following is broken:
    {a:1//comment\r\n}
    {return//test\r\n1}
    
    This code fixes this.
    Updated the unit test.
    Tested on our code and on the ExtJS framework (92000 lines total)

commit a45d6e6cfa8b57d6aff97ed7e6ce0ca0618d946b
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Fri May 10 09:13:47 2013 -0400

    fix for #2

commit ede84efb0ab73142f8c5b78eb3a7cf2022920982
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Fri May 10 08:58:22 2013 -0400

    hg ignore

commit 3753de30ddbdd2347a691986548c55da69748c60
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Fri May 10 08:57:21 2013 -0400

    this is slightly faster and consistent with other parts of the (ugly) code

commit d558750169a314d35256abb215558dbe5c2cceab
Author: hansweltar <none@none>
Date:   Fri May 10 14:28:41 2013 +0200

    Remove infinite loop when js ends with comment
    
    Fixes Issue #1
    To reproduce: jsmin.jsmin("//test\r\n") This will hang indefinately.
    
    We remove the empty string as a valid newline character when eating up
    comments. The empty string is namely used as EOF marker and the code should
    stop when it reads ''.
    
    We also added a unittest for this case.

commit 75f041a92355eccf20b0b5e1c6c976d37ffafa51
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed Feb 6 12:54:32 2013 -0500

    push version for pypi

commit 71a979a4d6d6731313ee92d2dfcb18b973424661
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed Feb 6 12:48:45 2013 -0500

    added homepage

commit 861fd0c9378c7624687597c58a334618170ab64c
Author: Dave St.Germain <dcs@adullmoment.com>
Date:   Wed Feb 6 12:42:26 2013 -0500

    initial import
